/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct GetUsersByGroupChannelIds200Response {
    #[serde(rename = "<CHANNEL_ID>", skip_serializing_if = "Option::is_none")]
    pub less_than_channel_id_greater_than: Option<Vec<crate::openapi::models::User>>,
}

impl GetUsersByGroupChannelIds200Response {
    pub fn new() -> GetUsersByGroupChannelIds200Response {
        GetUsersByGroupChannelIds200Response {
            less_than_channel_id_greater_than: None,
        }
    }
}
